Skip to main content
POST
/
api
/
allocations
/
{id}
/
default
/
cURL
curl --request POST \
  --url https://{server}/api/allocations/{id}/default/ \
  --cookie sessionid=
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "repository_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner_user": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "name": "<string>",
    "is_system_admin": true,
    "is_repository_admin": true,
    "date_joined": "2023-11-07T05:31:56Z"
  },
  "owner_project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "children_count": 123,
  "alias": "<string>",
  "data_volume_limit": 123,
  "max_records": 123,
  "current_bytes": 123,
  "current_record_count": 123,
  "is_default": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

sessionid
string
cookie
required

Path Parameters

id
string<uuid>
required

Response

200 - application/json
id
string<uuid>
required
read-only
repository_id
string<uuid>
required
read-only
owner_user
object
required
owner_project_id
string<uuid> | null
required
read-only
parent_id
string<uuid> | null
required
read-only
children_count
integer
required
read-only
alias
string
required
read-only
data_volume_limit
integer
required
read-only
max_records
integer
required
read-only
current_bytes
integer
required
read-only
current_record_count
integer
required
read-only
is_default
boolean
required
read-only
created_at
string<date-time>
required
read-only
updated_at
string<date-time>
required
read-only